org.python.core

## Class WrappedIterIterator<E>

- java.lang.Object
- - org.python.core.WrappedIterIterator<E>

- All Implemented Interfaces:
    java.util.Iterator<E>

      public abstract class WrappedIterIterator<E>
      extends java.lang.Object
      implements java.util.Iterator<E>

  Exposes a Python iter as a Java Iterator.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WrappedIterIterator(PyObject iter)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PyObject` | `getNext()`
    `boolean` | `hasNext()`
    `abstract E` | `next()` Subclasses must implement this to turn the type returned by the iter to the type expected by Java.
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### WrappedIterIterator

          public WrappedIterIterator(PyObject iter)

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `java.util.Iterator<E>`

    - #### next

          public abstract E next()

      Subclasses must implement this to turn the type returned by the iter to the type expected by Java.
      Specified by:
        `next` in interface `java.util.Iterator<E>`

    - #### getNext

          public PyObject getNext()

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `java.util.Iterator<E>`

Jython homepage